Bug 241326 - devel/psptoolchain-binutils: fix packaging on arm*
Summary: devel/psptoolchain-binutils: fix packaging on arm*
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-18 13:38 UTC by Piotr Kubaj
Modified: 2019-11-09 19:53 UTC (History)
2 users (show)

See Also:
tphilipp: maintainer-feedback+


Attachments
patch (516 bytes, patch)
2019-10-18 13:38 UTC, Piotr Kubaj
tphilipp: maintainer-approval-
Details | Diff
improved patch (434 bytes, patch)
2019-10-22 09:26 UTC, Tassilo Philipp
tphilipp: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-18 13:38:16 UTC
Created attachment 208404 [details]
patch

For some reason, :C/armv*/arm returns arm7 on armv7, which causes errors during packaging (it should return arm).
Comment 1 Tassilo Philipp 2019-10-22 09:26:12 UTC
Created attachment 208502 [details]
improved patch

Thanks for finding, this was indeed wrong as :C uses a regex, so armv* meant "0 or more v". Your fix works, but given it's a regex the "armv[6,7]" pattern would match "armv6", "armv," and "armv7".

So a more concise pattern would be simply "armv[67]", however I would go a step further and use "armv[0-9]+".

Find attached a slightly modified version of your patch that uses this pattern.
Comment 2 commit-hook freebsd_committer 2019-11-09 19:53:46 UTC
A commit references this bug:

Author: pkubaj
Date: Sat Nov  9 19:53:19 UTC 2019
New revision: 517143
URL: https://svnweb.freebsd.org/changeset/ports/517143

Log:
  devel/psptoolchain-binutils: fix packaging on arm*

  Fix CONFIGURE_TARGET on armv* to fix packaging.

  PR:		241326
  Submitted by:	tphilipp@potion-studios.com (maintainer)
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D22104

Changes:
  head/devel/psptoolchain-binutils/Makefile